Bug 500338

Summary: Unable to unlock screen with password if fingerprint auth is active
Product: [Fedora] Fedora Reporter: Michael Monreal <michael.monreal+bugs>
Component: gnome-screensaverAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 15CC: belegdol, dahmage, danw, dslehman, fedora, jan.teichmann, jmccann, jvillalo, kir, matteo-ml, redhat-bugzilla, rstrode
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 690752 (view as bug list) Environment:
Last Closed: 2012-08-07 15:40:23 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Monreal 2009-05-12 06:57:00 EDT
On GDM login you can choose between password or fingerprint auth. If you however lock the screen in GNOME, you don't have this choice when unlocking: you either have to use the fingerprint reader or wait until it times out before you can use password.
Comment 1 Bug Zapper 2009-06-09 11:40:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan Teichmann 2009-06-23 10:54:49 EDT
i have the same problem. it is really annoying.
Comment 3 Ray Strode [halfline] 2009-06-23 17:28:39 EDT
we actually want to get rid of a separate dialog for lock screen and just show GDM for it too.

Whether we go with that or "make the lock screen dialog act like gdm" approach for f12, I don't know.
Comment 4 Dan Winship 2009-12-10 20:18:14 EST
*** Bug 509148 has been marked as a duplicate of this bug. ***
Comment 5 Dan Winship 2009-12-10 20:18:34 EST
*** Bug 543760 has been marked as a duplicate of this bug. ***
Comment 6 Julian Sikorski 2010-01-05 16:06:19 EST
There is a similar problem with policykit and system-config-foo (consolehelper?) dialogs.
Comment 7 Bug Zapper 2010-04-27 10:17:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Julian Sikorski 2010-04-28 17:35:18 EDT
This bug is still present.
Comment 9 Kir Kolyshkin 2010-10-28 07:55:28 EDT
Still unfixed in Fedora 14. Can someone who have an appropriate permission move this to F14?
Comment 10 John Villalovos 2011-06-04 18:29:13 EDT
Still unfixed in Fedora 15
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:57:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 12:00:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Matteo Settenvini 2011-09-25 14:51:10 EDT
Still have this problem on current Rawhide (soon-to-be Fedora 16).
Comment 14 Fedora End Of Life 2012-08-07 15:40:25 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping